body {
  font-family: system-ui, sans-serif;
  padding: 30px;
  background: #f7f7f7;
}

.body-embed{
	font-family: system-ui, sans-serif;
	background: #f7f7f7;
	text-align: center;
	height: 100%;
	width: 100%;
	overflow: hidden;
	position: absolute;
	margin: 0;
	padding: 0;
	display: flex;
	justify-content: center;
	align-items: center;
}

h1 {
  margin-bottom: 20px;
}

.controls {
  display: grid;
  gap: 16px;
  max-width: 500px;
  margin-bottom: 30px;
}

label {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

input[type="url"], input[type="file"] {
  padding: 6px;
}

button {
  padding: 12px;
  border: none;
  background: black;
  color: white;
  cursor: pointer;
}

/* #sliderContainer {
  max-width: 700px;
} */

/* === Slider === */
.ba-slider {
	position: relative;
	width: 100%;
	aspect-ratio: 16 / 9;
	overflow: hidden;
	cursor: ew-resize;
	margin: auto;
	max-height: 100%;
}

.ba-slider img:not(.label-after) {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  user-select: none;
  -webkit-user-drag: none;
}

.ba-after {
  z-index: 1;
}

.ba-before {
  z-index: 2;
  clip-path: inset(0 50% 0 0); /* mitad visible */
}

.ba-handle {
  position: absolute;
  top: 0;
  left: 50%;
  width: 3px;
  height: 100%;
  background: white;
  z-index: 3;
  transform: translateX(-50%);
}

.ba-handle::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 30px;
  height: 44px;
  transform: translate(-50%, -50%);
  background-image: url("./arrows.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  cursor: ew-resize;
}

.watermark{
  font-size: 12px;
  color: gray;
  display: block;
  margin-top: 4px;
}

.display-none{
  display: none;

}



/* .label-before, .label-after {
  position: absolute;
  top: 15px;
  padding: 6px 12px;
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
  color: white;
  border-radius: 4px;
  z-index: 4; 
  pointer-events: none; 
  letter-spacing: 1px;
  box-shadow: 0 2px 4px rgba(0,0,0,0.2);
}


.label-before {
  left: 15px;
  background-color: #797979; 
} */


.label-after {
  width: 150px;
  height: 40px;
  z-index: 4;
  position: absolute;
  top: 15px;
  right: 15px;
  pointer-events: none; 
  user-select: none;
  -webkit-user-select: none;
  
  /* Evita que aparezca el recuadro azul/contorno al hacer clic */
  outline: none;
  -webkit-tap-highlight-color: transparent;
  
  /* Asegura que los clics pasen a través del SVG al slider */
  pointer-events: none;
}

@media (max-width: 1050px) {
  .label-after {
    width: 45px;
    height: 20px;
  }
} 


/* .label-before {
  clip-path: inherit; 
}

@media (max-width: 1050px) {
  .label-before, .label-after {
    font-size: 9px;
  }

} */
